Bug 481594 - Review Request: python-pygooglechart - A complete Python wrapper for the Google Chart API
Review Request: python-pygooglechart - A complete Python wrapper for the Goo...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-26 11:42 EST by Michael Stahnke
Modified: 2009-03-04 11:27 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.2.1-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-03 19:22:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michael Stahnke 2009-01-26 11:42:24 EST
Spec URL: http://stahnma.fedorapeople.org/reviews/python-pygooglechart.spec
SRPM URL: http://stahnma.fedorapeople.org/reviews/python-pygooglechart-0.2.1-1.fc11.src.rpm
Description: pygooglechart is a complete Python wrapper for the Google Chart API.
See http://pygooglechart.slowchop.com/
Comment 1 Jochen Schmitt 2009-01-26 15:17:02 EST
Good:
+ Basename of the SPEC file patches with package name
+ Package name fits naming guidelines
+ Package is written in English
+ Could download upstream package via spectoll -g
+ Package contains the most current release of the software
+ Source tar ball in package matches with upstream
(md5sum: ec6e1ddd678485c7971c8c0b5dd3cec6)
+ Package contains no patches
+ Package has proper BRs
+ Package will build as noarch
+ Package contains a valid license tag
+ GPLv3+ is a valid OSS license
+ consistently usage of rpm macros.
+ Package contains no subpackages
+ Small %doc stanza, so we need no separate doc subpackage
+ Local buidl works fine
+ Local install works fine
+ Try to run the samples scripts works fine
+ Locel uninstall works fine
+ Build on koni works fine
+ Rpmlint is silent on SRPM and binary rpm.
+ Buildroot will been cleaned on the beginning of %clean and %install
+ Package contains %clean stanza
+ Files have proper files permission
+ All files belong to the package
+ No files from the package is claimed by an other package.
+ Proper %changelog

Bad:
- Upstream package contains a verbatin package of the license text which
was no put into the %doc stanza
- I have found a test/test.py files, so it may be nice, if you can create
a %check stanza in which this script may be execute as a testsuite.
Comment 2 Michael Stahnke 2009-01-26 22:26:23 EST
http://stahnma.fedorapeople.org/reviews/python-pygooglechart-0.2.1-2.fc11.src.rpm
http://stahnma.fedorapeople.org/reviews/python-pygooglechart.spec

Updated per your requests.  Note the %check section will skip some test because from what I could tell PyQrCodec is not packaged for for Fedora, so I couldn't make it a BR.  Everything builds fine and all other tests (and the test file in general) do pass.
Comment 3 Jochen Schmitt 2009-01-27 10:52:44 EST
Good:
+ Package contains verbatin copy of the license text
+ Package contains a %check stanza
+ Local build works fine

Bad:
- Koji build fails. Please refer to http://koji.fedoraproject.org/koji/taskinfo?taskID=1086077
This is caused by the PyQrCodec issue, If you are unable to fix it, we should remove the %scheck stanza.
Comment 4 Michael Stahnke 2009-01-27 11:23:24 EST
Yes, it appears that trying to connect to the internet is the problem through Koji.  The unit tests attempt to contact GoogleCharts.  I actually don't think it's PyQrCodec.  Either way, the %check has to go. 


Rebuilt:
http://stahnma.fedorapeople.org/reviews/python-pygooglechart-0.2.1-3.fc11.src.rpm
http://stahnma.fedorapeople.org/reviews/python-pygooglechart.spec
Comment 5 Jochen Schmitt 2009-01-27 11:38:49 EST
Sorry, I have got a 404 error.
Comment 6 Michael Stahnke 2009-01-27 15:03:07 EST
http://stahnma.fedorapeople.org/reviews/python-pygooglechart-0.2.1-3.fc11.src.rpm

Sorry, accidentally uploaded the fc10 one instead of fc11.

Fixed now.
Comment 7 Jochen Schmitt 2009-01-28 10:25:04 EST
Good:
+ Package has comment about why the test script could not used.
+ Local build works fine.
+ Build on koji works fine

*** APPROVED ***
Comment 8 Michael Stahnke 2009-01-28 22:05:26 EST
New Package CVS Request
=======================
Package Name: python-pygooglechart
Short Description: A complete Python wrapper for the Google Chart API
Owners: stahnma
Branches: F9, F10, EL4, EL5
InitialCC:
Comment 9 Kevin Fenzi 2009-01-30 01:19:00 EST
cvs done.
Comment 10 Jochen Schmitt 2009-03-03 12:25:06 EST
Please close this bug, if you have push this new package on bodhi.
Comment 11 Fedora Update System 2009-03-04 11:22:17 EST
python-pygooglechart-0.2.1-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-03-04 11:27:23 EST
python-pygooglechart-0.2.1-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.